Developer Hub
Request Demo
Request Demo
Support
  1. Integrations
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
      • Bulk Entity Relations Upload API
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
        POST
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. Integrations

Bulk Integrations Download API

POST
https://balkanid.app/api/rest/v0/integrations/download-url

BalkanID Integrations Download CSV Format#

In this section, we will explain the BalkanID Integrations CSV format.

Sample CSV#

ID*Name*DescriptionLast RunIntegration Status*Primary OwnerMessageMetadataReviewer PrecedenceProvisioning OptionsExtraction OptionsReviewer CountEntity Request Values TemplatesEntity Request Values Defaults
1Amazon Web Services2021-07-26T18:00:00Zactivejason.bond@balkan.idData Available[{"name": "Client ID", "key": "client_id", "type": "public", "value": "}, {"name": "Client Secret", "key": "client_secret", "type": "secret", "value": "}, {"name": "Enterprise ID", "key": "enterprise_id", "type": "public", "value": "}]manager, primaryowner, riskmanager{}1
2GoogleCloud computing platforminactive{}manager, primaryowner, riskmanager{}1
3Slack2021-07-26T18:00:00Zactivealec.benjamin@balkan.idData Available{}manager, primaryowner, riskmanager{}{ "scim": false, "upload": true, "direct_configuration": false }1
4Okta2021-07-26T18:00:00Zactive1 error occured{}manager, primaryowner, riskmanager{}1
NOTE: Columns with * are required always.
Column Definitions#
Column NameColumn Description
IDRequired - A unique identifier for the integration. This is the internal balkan id of the integration
NameRequired - The name of the integration. In the sample CSV, this is: Amazon Web Services, Google, etc.
DescriptionOptional - The description of the integration. In the sample CSV, this is: Cloud computing platform, etc.
Last RunOptional - The last time the integration was run. In the sample CSV, this is: 2021-07-26T18:00:00Z, etc.
Integration StatusRequired - The status of the integration. In the sample CSV, this is: active, inactive
Primary OwnerOptional - The primary owner of the integration's email. In the sample CSV, this is: alec.benjamin@balkan.id, jason.bond@balkan.id, etc.
MessageOptional - The message log for the integration sync. In the sample CSV, this is: Data Available, 1 error occured, etc.
MetadataOptional - The metadata of the integration.
Reviewer PrecedenceOptional - The reviewer precedence of the integration.
Provisioning OptionsOptional - The provisioning options of the integration.
Extraction OptionsOptional - The extraction options of the integration.
Reviewer CountOptional - The reviewer count of the integration.
Entity Request Values TemplatesOptional - The entity request values templates of the integration.
Entity Request Values DefaultsOptional - The entity request values defaults of the integration.

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Relations CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://balkanid.app/api/rest/v0/integrations/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entity RBAC Download API
Next
Bulk Purposes Download API
Built with